read_verilog -sv /eda/processor_ci/rtl/cv32e40p.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_aligner.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_alu.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_alu_div.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_apu_disp.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_compressed_decoder.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_controller.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_core.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_cs_registers.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_decoder.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_ex_stage.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_ff_one.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_fifo.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_fp_wrapper.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_hwloop_regs.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_id_stage.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_if_stage.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_int_controller.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_load_store_unit.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_mult.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_obi_interface.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_popcnt.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_prefetch_buffer.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_prefetch_controller.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_register_file_ff.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_register_file_latch.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_sleep_unit.sv
read_verilog -sv /var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/cv32e40p_top.sv
set_property include_dirs [list "/var/jenkins_home/workspace/cv32e40p/cv32e40p/rtl/include/" ] [get_filesets sources_1]
read_verilog -sv /eda/processor-ci-controller/modules/uart.sv
read_verilog /eda/processor-ci-controller/modules/UART/rtl/uart_rx.v
read_verilog /eda/processor-ci-controller/modules/UART/rtl/uart_tx.v

#read_verilog -sv /eda/processor-ci-controller/modules/spi.sv;
#read_verilog -sv /eda/processor-ci-controller/modules/SPI-Slave/rtl/spi_slave.sv;

read_verilog -sv /eda/processor-ci-controller/rtl/ahblite_to_wishbone.sv
read_verilog -sv /eda/processor-ci-controller/rtl/axi4_to_wishbone.sv
read_verilog -sv /eda/processor-ci-controller/rtl/axi4lite_to_wishbone.sv
read_verilog -sv /eda/processor-ci-controller/rtl/fifo.sv
read_verilog -sv /eda/processor-ci-controller/rtl/reset.sv
read_verilog -sv /eda/processor-ci-controller/rtl/clk_divider.sv
read_verilog -sv /eda/processor-ci-controller/rtl/memory.sv
read_verilog -sv /eda/processor-ci-controller/rtl/interpreter.sv
read_verilog -sv /eda/processor-ci-controller/rtl/controller.sv

set_param general.maxThreads 16

read_xdc "/eda/processor_ci/constraints/digilent_arty_a7_100t.xdc"
set_property PROCESSING_ORDER EARLY [get_files /eda/processor_ci/constraints/digilent_arty_a7_100t.xdc]

# synth
synth_design -top "processorci_top" -part "xc7a100tcsg324-1"

# place and route
opt_design
place_design

report_utilization -hierarchical -file digilent_arty_a7_utilization_hierarchical_place.rpt
report_utilization               -file digilent_arty_a7_utilization_place.rpt
report_io                        -file digilent_arty_a7_io.rpt
report_control_sets -verbose     -file digilent_arty_a7_control_sets.rpt
report_clock_utilization         -file digilent_arty_a7_clock_utilization.rpt


route_design

report_timing_summary -no_header -no_detailed_paths
report_route_status                            -file digilent_arty_a7_route_status.rpt
report_drc                                     -file digilent_arty_a7_drc.rpt
report_timing_summary -datasheet -max_paths 10 -file digilent_arty_a7_timing.rpt
report_power                                   -file digilent_arty_a7_power.rpt


# write bitstream
write_bitstream -force "digilent_arty_a7_100t.bit"

exit